var homeurl = 'SearchProduct.aspx';

var PageSize = 20;//每页计数
var CurrentPage = 1; //当前页
var keyword = '';
var catID = '0';
var brandID = '0';
var searchType = '0';
var status = 0;//刚进入页面不要列出商品,点击"添加商品"后再获取列表
var search_urldata = 'type=ajax&Action=SearchProductsAjax&keyword=' + keyword + '&CatID=' + catID + '&BrandIDs=' + brandID + '&SearchType=' + searchType + '&PageSize=' + PageSize + '&Page=' + CurrentPage;
var showadv = 0;//高级搜索显示状态

$(document).ready(function(){
    $('#loadingContainer').ajaxStart(function(){$(this).show();}).ajaxStop(function(){$(this).hide();});
	var isIE6 = ($.browser.msie && $.browser.version=='6.0');
	setInterval(function(){
		if(isIE6){
            $('#datacontainer').css('height','390px');
        }else{
            $('#content').css('height',$('#popupContact').height()-$('#popupHead').height());
            $('#datacontainer').css('height',$('#content').height()-$('#sub_container_listhead').height()-$('#pageDataList1_Pager').height()-$('#divsave').height()-60);
        };
		//$('#txtDateFrom').val($('#popupContact').height());
    },1000);
	//弹出层
	$("#btnAdd").click(function(){
		if($('#ddlNewNumber').val() != '0')
		{
			$('#popupContact').popup({width:'800px',height:'500px',popupHead:'popupHead',btnClose:'popupContactClose'});
			if(status == 0)
			{
				BindProducts(homeurl,search_urldata);
				status = 1;
			};
		}
		else
		{
			alert('请选择所属的期数');
			return false;
		}
	});//如果是第一次弹出层,要获取商品列表,否则只需要显示层即可 
    
	$('#sel_category option').eq(0).attr('selected','selected');
    $('#sel_category').change(function(){
        var categoryIDs = $(this).val();
        if(categoryIDs == null){return false;};
        $.ajax({
			url:homeurl + '?type=ajax&Action=GetBrandByCatID&product_category_id=' + categoryIDs + '&NoCopyRight=1',
            cache:false,
            success:function(data){
                if(!checkLoginStatus(data)){return false;}
                $('#sel_brand').html(data);
                $('#sel_brand option').eq(0).attr('selected','selected');
            },
            error:function(){alert('error');}
        });
    });
	
	//搜索
    $('#btnSearch').click(function(){
        CurrentPage = 1;
        keyword = $('#txtKeyword').val();
        catID = $('#sel_category').val();
        brandID = $('#sel_brand').val();
        if(catID == null){catID = '0'};
        if(brandID == null){brandID = '0';}
        searchType = $('#sel_searchType').val();
        search_urldata = 'type=ajax&Action=SearchProductsAjax&keyword=' + escape(keyword) + '&CatID=' + catID + '&BrandIDs=' + brandID + '&SearchType=' + searchType + '&PageSize='+PageSize+'&Page='+CurrentPage;
        BindProducts(homeurl,search_urldata);
        if(showadv == 1){
            $('#showadvsearch').click();
        }
    });
    
    //显示隐藏高级搜索
    $('#showadvsearch').toggle(function(){$('#advsearch').show();$('#showadvsearch').text('简易搜索');showadv = 1;},function(){$('#advsearch').hide();$('#showadvsearch').text('高级搜索');showadv = 0;});
	
	//--默认时间
	$('#defaultstarttime').click(function(){
		 setDayHM(this);									  
	});
	$('#ddlNewNumber').change(function(){
		var url = homeurl;
		if($(this).val() != '0')
		{
			url = url + '?number=' + $('#ddlNewNumber option:selected').text()
		}
		location.href = url;
	});
	//--完成
    $('#btnSave').click(function(){
        var flag = true;
        if($('[@name^=chkListMemberGroup][@checked]').length == 0){
            alert('请选择会员组');
            flag = false;
            return false;
        };
        if($('#count').text() == '0')
		{
			alert('至少选择一个商品');
			flag = false;
			return false;
		}
        
		$('input[@id^=bidprice_]').each(function(i){
            if($.trim($(this).val()) == '')
            {
                alert($(this).parent().parent().find('td:eq(1)').html()+' 的起拍价不能为空！');
                flag = false;
                return false;
            }
                        
            var point = /^[-\+]?\d+(\.\d+)?$/;
            if(!point.test($.trim($(this).val())) || $.trim($(this).val()) <= 0)
            {
                alert($(this).parent().parent().find('td:eq(1)').html()+' 的起拍价填写错误,只能为正数！');
                flag = false;
                return false;
            }
        });
        
		$('input[@id^=range_]').each(function(i){
            if($.trim($(this).val()) == '')
            {
                alert($(this).parent().parent().find('td:eq(1)').html()+' 的加价幅度不能为空！');
                flag = false;
                return false;
            }
        });
		
        $('input[@id^=starttime_]').each(function(i){
            if($.trim($(this).val()) == '')
            {
                alert($(this).parent().parent().find('td:eq(1)').html()+' 的开始时间不能为空！');
                flag = false;
                return false;
            }
        });
        
        $('input[@id^=endtime_]').each(function(i){
            if($.trim($(this).val()) == '')
            {
                alert($(this).parent().parent().find('td:eq(1)').html()+' 的截止时间不能为空！');
                flag = false;
                return false;
            }
        });
		
        if(flag == false)
        {
            return false;
        }
    
        //--将每种商品的数量放到隐藏控件里面limitprices
        var pID = $.trim($('#PIDs').val()).split(',');
        $('#bidprices').val('');
		$('#ranges').val('');
        $('#starttimes').val('');
        $('#endtimes').val('');
        for(var i=0; i<pID.length; i++)
        {
            $('#bidprices').val($('#bidprices').val() + ($('#bidprices').val() != '' ? ',' : '') + $('#bidprice_'+pID[i]).val());
			$('#ranges').val($('#ranges').val() + ($('#ranges').val() != '' ? ',' : '') + $('#range_'+pID[i]).val());
            $('#starttimes').val($('#starttimes').val() + ($('#starttimes').val() != '' ? ',' : '') + $('#starttime_'+pID[i]).val());
            $('#endtimes').val($('#endtimes').val() + ($('#endtimes').val() != '' ? ',' : '') + $('#endtime_'+pID[i]).val());
        }
     });
	
	
	
	$('#btnSubmit').click(function(){
        var productIDs = '';
        var pnames = '';
		var pnos = '';//--商品编号
        var bidprices = '';//--起拍价
		var ranges = '';//--加价幅度
		var starttimes = '';//--开始时间
        var endtimes = '';//--结束时间
        var selectedPIDs = '';
        if($('#PIDs').val() != ''){
            selectedPIDs = ','+$('#PIDs').val()+',';
        };
        $('input[@name=chkItem][@checked]').each(function(){
            var currobj = $(this);
            if(selectedPIDs.indexOf(',' + currobj.val() + ',') == -1)
            {
                var productname = currobj.parent().siblings('#Name').text();
                var pno = currobj.parent().siblings('#ProductNo').text();
				var bidprice = currobj.parent().siblings('#MemberPrice').text();

                var row = $('<tr><td class="delete ccenter c7"><img src="images/x-gray.gif" alt="删除" /><input type="hidden" name="pid" value='
                     + currobj.val() + '><input type="hidden" name="pname" value="' 
                     + productname + '"><input type="hidden" name="pno" value="' 
                     + pno + '"></td><td class="c8">'
                     + productname + '</td><td class="c9">'
                     + pno + '</td><td class="c10 ccenter"><input id="bidprice_' 
                     + currobj.val() + '" type="text" size="9" maxlength="20" style="text-align:center;" value="' + bidprice + '"/></td><td class="c11 ccenter"><input id="range_'
					 + currobj.val() + '" type="text" size="9" style="text-align:center;" value="1"/></td><td class="c12 ccenter"><input id="starttime_' 
                     + currobj.val() + '" type="text" size="15" readonly="readonly" maxlength="20" style="text-align:center;" value="' 
                     + $('#txtDateFrom').val() + '" /></td><td class="c13 ccenter"><input id="endtime_' 
                     + currobj.val() + '" type="text" size="15" readonly="readonly" maxlength="20" style="text-align:center;" value="' 
                     + $('#txtDateTo').val() + '" /></td><td class="c14"></td></tr>');
                
				row.find('.delete').css('cursor','pointer').click(function(){
                    $(this).parent().remove();
                    $('#count').text(Number($('#count').text())-1);
                    //--商品ID
                    var ids = '';
                    $('input[@name=pid]').each(function(){
                        ids += $(this).val() + ',';
                    });
                    if(ids != ''){ids = ids.substring(0,ids.length-1);};
                    $('#PIDs').val(ids);
                    //--商品名称
                    var pnames = '';
                    $('input[@name=pname]').each(function(){
                        pnames += $(this).val() + ',';
                    });
                    if(pnames != ''){pnames = pnames.substring(0,pnames.length-1);};
                    $('#pnames').val(pnames);
					//--商品编号
                    var pnos = '';
                    $('input[@name=pname]').each(function(){
                        pnos += $(this).val() + ',';
                    });
                    if(pnos != ''){pnos = pnos.substring(0,pnos.length-1);};
                    $('#pnos').val(pnos);
                    
                }).find('img').mouseover(function(){
                    $(this).attr('src','images/x-red.gif');
                }).mouseout(function(){
                    $(this).attr('src','images/x-gray.gif');
                });
                
                $('#listresult').append(row);
                productIDs += currobj.val() + ',';
                pnames += productname.replace(',',' ') + ',';
				pnos += pno.replace(',',' ') + ',';
                $('#starttime_'+currobj.val()).click(function(){
					 setDayHM(this);
				});
                $('#endtime_'+currobj.val()).click(function(){
					 setDayHM(this);
				});
            };
        });
        if(productIDs != ""){
            productIDs = productIDs.substring(0,productIDs.length-1);
            pnames = pnames.substring(0,pnames.length-1);
			pnos = pnos.substring(0,pnos.length-1);
            $('#PIDs').val($('#PIDs').val() + ($('#PIDs').val() != '' ? ',' : '') + productIDs);//隐藏控件记录已选择的商品ID(逗号分隔1,2,3)
            $('#pnames').val($('#pnames').val() + ($('#pnames').val() != '' ? ',' : '') + pnames);
			$('#pnos').val($('#pnos').val() + ($('#pnos').val() != '' ? ',' : '') + pnos);
        };
        $('#popupContactClose').click();
        $('#count').text($('input[@name=pid]').length);
    });
	
	$('input[@name=chkAll]').click(function(){$('input[@name=chkItem]').attr('checked',$(this).attr('checked'));});//全选
    //--默认时间
	$('#defaultstarttime').click(function(){
		 setDayHM(this);									  
	});
	$('#defaultendtime').click(function(){
		 setDayHM(this);									  
	});
		
    
    //--清空
    $('#btnClear').click(function(){
        $('#count').text('0');
        $('tr:gt(0)','#listresult').remove();
        $('#PIDs').val('');
        $('#pnames').val('');
    });
});

//绑定数据
function BindProducts(weburl,urldata){
    $('#template').hide();//将第一行模板隐藏
    $.ajax({
        type:"get",
        dataType:"json",
        url:weburl+'?NoCopyRight=1',
        data:urldata,
        cache:false,
        success:function(msg){
            $('input[@name=chkAll]').attr('checked','');
            $('tr:gt(0)','#datas').remove();
            var data = msg.Product;
            $.each(data,function(i,n){
                var row = $('#template').clone();
                row.show().mouseover(function(){$(this).addClass('on')}).mouseout(function(){$(this).removeClass('on')}); //将复制的行显示出来并添加样式
                row.find('#checkbox').html('<input type="checkbox" name="chkItem" value="' + n.ProductID + '" />');//checkbox
                row.find('#Name').html('<div style="overflow:hidden;width:220px;white-space:nowrap;"><a href="../../Show.aspx?PID=' + n.ProductID + '" target="_blank">'+n.ProductName+'</a></div>'); //商品名称
                row.find('#ProductNo').text(n.ProductNo);   //编码
                var categoryname = (n.CategoryID != 1 ? $('#sel_category option[@value=' + n.CategoryID + ']').text().replace('├','') : "");
                var brandname = (n.BrandID != 0 ? $('#sel_brand option[@value=' + n.BrandID + ']').text() : "");
                row.find('#Category').text(categoryname);//商品类别
                row.find('#Brand').text(brandname);//商品品牌
                row.find('#MemberPrice').text(Number(n.MemberPrice).toFixed(2))//两位小数
				row.attr("id","ready_" + n.ProductID);//改变绑定好数据的行的id
				row.appendTo("#datas");//添加到模板的容器中
            });
           
            //分页
            $('.sub_container_page').show();
            var pagerStyle = "flickr";//jPagerBar样式
            ShowPageBar("pageDataList1_Pager",//[containerId]
               "Products.aspx",//[url]
               {style:pagerStyle,mark:"pageDataList1Mark",
               totalCount:msg.totalCount,showPageNumber:3,pageCount:PageSize,currentPageIndex:CurrentPage,noRecordTip:" 没有记录",preWord:"上一页",nextWord:"下一页",
               onclick:"CurrentPage={pageindex};BindProducts('SearchProduct.aspx','type=ajax&Action=SearchProductsAjax&keyword=" + escape(keyword) + "&CatID=" + catID + "&BrandIDs=" + brandID + "&SearchType=" + searchType + "&PageSize=" + PageSize + "&Page={pageindex}');return false;"}//[attr]
            );
        },
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!')}else{alert('error')};}
    });
}

function checkLoginStatus(data){
    var result = true;
    if(data.indexOf('<!DOCTYPE') != -1){
        result = false;
        alert('身份已过期,请重新登陆!');
    }
    return result;
}
